Main Page Class List Class Members

# Nv::Blast::ExtPxCollisionBuilderImpl Class Reference

`#include <NvBlastExtPxCollisionBuilderImpl.h>`

Inheritance diagram for Nv::Blast::ExtPxCollisionBuilderImpl:

List of all members.

## Public Member Functions
CollisionHull * | buildCollisionGeometry (uint32_t verticesCount, const NvcVec3 *vertexData) override
physx::PxConvexMesh * | buildConvexMesh (const CollisionHull &hull) override
void | buildPhysicsChunks (uint32_t chunkCount, uint32_t *hullOffsets, CollisionHull **hulls, ExtPxChunk *physicsChunks, ExtPxSubchunk *physicsSubchunks) override
| ExtPxCollisionBuilderImpl (physx::PxCooking *cooking, physx::PxPhysicsInsertionCallback *insertionCallback)
void | release () override
void | releaseCollisionHull (CollisionHull *hull) const override
virtual | ~ExtPxCollisionBuilderImpl ()

## Constructor & Destructor Documentation

Nv::Blast::ExtPxCollisionBuilderImpl::ExtPxCollisionBuilderImpl | ( | physx::PxCooking * | cooking,
|  | physx::PxPhysicsInsertionCallback * | insertionCallback |
| ) |  |  | `[inline]`

virtual Nv::Blast::ExtPxCollisionBuilderImpl::~ExtPxCollisionBuilderImpl | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

CollisionHull* Nv::Blast::ExtPxCollisionBuilderImpl::buildCollisionGeometry | ( | uint32_t | verticesCount,
|  | const NvcVec3 * | vertexData |
| ) |  |  | `[override, virtual]`

Method creates CollisionHull from provided array of vertices.

Parameters:

  `[in]` | verticesCount | Number of vertices
  `[in]` | vertexData | Vertex array of some object, for which collision geometry should be built
  `[out]` | output | Reference on CollisionHull object in which generated geometry should be saved

Implements Nv::Blast::ConvexMeshBuilder.

physx::PxConvexMesh* Nv::Blast::ExtPxCollisionBuilderImpl::buildConvexMesh | ( | const CollisionHull & | hull | ) | `[override, virtual]`

Method creates user defined collision mesh from provided array of vertices. ConvexMeshBuilder from ExtPhysX returns PxConvexMesh pointer.

Parameters:

  `[in]` | hull | Collision hull.

Implements Nv::Blast::ExtPxCollisionBuilder.

void Nv::Blast::ExtPxCollisionBuilderImpl::buildPhysicsChunks | ( | uint32_t | chunkCount,
|  | uint32_t * | hullOffsets,
|  | CollisionHull ** | hulls,
|  | ExtPxChunk * | physicsChunks,
|  | ExtPxSubchunk * | physicsSubchunks |
| ) |  |  | `[override, virtual]`

Build physics chunks and subchunks from collision hulls

Implements Nv::Blast::ExtPxCollisionBuilder.

void Nv::Blast::ExtPxCollisionBuilderImpl::release | ( |  | ) | `[override, virtual]`

Release ConvexMeshBuilder memory

Implements Nv::Blast::ConvexMeshBuilder.

void Nv::Blast::ExtPxCollisionBuilderImpl::releaseCollisionHull | ( | CollisionHull * | hull | ) | const`[override, virtual]`

Release CollisionHull memory.

Implements Nv::Blast::ConvexMeshBuilder.

The documentation for this class was generated from the following file:

- sdk/extensions/physx/source/physics/NvBlastExtPxCollisionBuilderImpl.h